import { openBlock as s, createElementBlock as a, createElementVNode as l, toDisplayString as c, renderSlot as u, ref as x, computed as b, normalizeClass as k, unref as _, createVNode as q, withCtx as y, resolveComponent as C, createBlock as $, inject as T, withDirectives as L, isRef as D, vModelDynamic as N, createCommentVNode as f, provide as M, Fragment as S, renderList as V, vModelSelect as O, vModelText as E, useSlots as j, watch as R, normalizeStyle as Z, createTextVNode as z, onMounted as F, withModifiers as A, vModelCheckbox as G, withKeys as H } from "vue";
const X = { class: "cf-action-card" }, J = { class: "cf-action-card__body" }, Q = { class: "cf-action-card__title" }, W = { class: "cf-action-card__body__slot" }, Y = { class: "cf-action-card__action" }, ps = {
  __name: "ActionCard",
  props: {
    title: String
  },
  setup(n) {
    const t = n;
    return (e, o) => (s(), a("div", X, [
      l("div", J, [
        l("div", Q, c(t.title), 1),
        l("div", W, [
          u(e.$slots, "body")
        ])
      ]),
      l("div", Y, [
        u(e.$slots, "action")
      ])
    ]));
  }
};
const I = (n, t) => {
  const e = n.__vccOpts || n;
  for (const [o, i] of t)
    e[o] = i;
  return e;
}, ee = {}, te = { class: "cf-app-bar" };
function se(n, t) {
  return s(), a("header", te, [
    l("div", null, [
      u(n.$slots, "left")
    ]),
    l("div", null, [
      u(n.$slots, "right")
    ])
  ]);
}
const le = /* @__PURE__ */ I(ee, [["render", se]]);
const oe = { class: "cf-dropdown-body" }, ae = {
  __name: "Dropdown",
  setup(n) {
    const t = x(!1), e = b(() => ({
      "cf-dropdown": !0,
      "cf-dropdown--open": t.value
    }));
    return (o, i) => (s(), a("div", {
      class: k(_(e))
    }, [
      l("div", {
        class: "cf-dropdown-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, [
        u(o.$slots, "toggle")
      ]),
      l("div", oe, [
        u(o.$slots, "body")
      ]),
      l("div", {
        class: "cf-dropdown-backdrop",
        onClick: i[1] || (i[1] = (d) => t.value = !1)
      })
    ], 2));
  }
};
const ne = {
  key: 0,
  class: "cf-app-bar-link"
}, ie = { class: "cf-app-bar-link__label" }, de = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M14.15 4.492H1.85l-.354.854 6.15 6.15h.707l6.15-6.15-.353-.854z" })
], -1), re = {
  key: 1,
  class: "cf-app-bar-link"
}, ue = { class: "cf-app-bar-link__label" }, fs = {
  __name: "AppBarLink",
  props: {
    dropdown: Boolean
  },
  setup(n) {
    return (t, e) => n.dropdown ? (s(), a("div", ne, [
      q(ae, null, {
        toggle: y(() => [
          l("div", ie, [
            u(t.$slots, "default"),
            de
          ])
        ]),
        body: y(() => [
          u(t.$slots, "dropdown")
        ]),
        _: 3
      })
    ])) : (s(), a("button", re, [
      l("div", ue, [
        u(t.$slots, "default")
      ])
    ]));
  }
};
const vs = {
  __name: "AppView",
  props: {
    wide: {
      type: Boolean,
      default: !1
    }
  },
  setup(n) {
    const t = n, e = b(() => ({
      "cf-app-view": !0,
      "cf-app-view--wide": t.wide
    }));
    return (o, i) => (s(), a("div", {
      class: k(_(e))
    }, [
      u(o.$slots, "default")
    ], 2));
  }
};
const bs = {
  __name: "Banner",
  props: {
    type: String
  },
  setup(n) {
    const t = n, e = b(() => ({
      "cf-banner": !0,
      [`cf-banner--${t.type}`]: t.type
    }));
    return (o, i) => (s(), a("div", {
      class: k(_(e))
    }, [
      u(o.$slots, "default")
    ], 2));
  }
}, P = {
  to: {
    type: String,
    default: null
  },
  type: {
    type: String,
    default: "button"
  },
  large: {
    type: Boolean,
    default: !1
  },
  wide: {
    type: Boolean,
    default: !1
  },
  color: {
    type: String,
    default: null
  },
  loading: {
    type: Boolean,
    default: !1
  },
  disabled: {
    type: Boolean,
    default: !1
  }
};
const ce = ["type", "disabled"], ms = {
  __name: "FilledButton",
  props: P,
  setup(n) {
    const t = n, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-filled-button": !0,
      [`cf-filled-button--${t.color}`]: t.color
    }));
    return (o, i) => {
      const d = C("router-link");
      return o.to ? (s(), $(d, {
        key: 0,
        class: k(_(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: y(() => [
          u(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (s(), a("button", {
        key: 1,
        class: k(_(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        u(o.$slots, "default")
      ], 10, ce));
    };
  }
};
const _e = ["type", "disabled"], pe = {
  __name: "OutlinedButton",
  props: P,
  setup(n) {
    const t = n, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-outlined-button": !0,
      [`cf-outlined-button--${t.color}`]: t.color
    }));
    return (o, i) => {
      const d = C("router-link");
      return o.to ? (s(), $(d, {
        key: 0,
        class: k(_(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: y(() => [
          u(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (s(), a("button", {
        key: 1,
        class: k(_(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        u(o.$slots, "default")
      ], 10, _e));
    };
  }
};
const fe = ["disabled"], hs = {
  __name: "TextButton",
  props: {
    to: String,
    disabled: Boolean
  },
  setup(n) {
    const t = n;
    return (e, o) => {
      const i = C("router-link");
      return n.to ? (s(), $(i, {
        key: 0,
        class: "cf-text-button",
        to: n.to,
        inert: t.disabled
      }, {
        default: y(() => [
          u(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["to", "inert"])) : (s(), a("button", {
        key: 1,
        class: "cf-text-button",
        type: "button",
        disabled: t.disabled
      }, [
        u(e.$slots, "default")
      ], 8, fe));
    };
  }
};
const ve = { class: "cf-choice" }, be = ["type", "id", "name", "value", "true-value", "false-value", "required", "disabled"], me = ["for"], he = { key: 0 }, ye = {
  __name: "Choice",
  props: {
    modelValue: [Number, String, Boolean, Array],
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    type: String,
    label: String,
    helper: String,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(n, { emit: t }) {
    const e = n, o = Math.random(), i = {
      name: T("choice-list-name", null),
      required: T("choice-list-required", null)
    }, d = b({
      get() {
        return e.modelValue;
      },
      set(r) {
        t("update:modelValue", r);
      }
    });
    return (r, v) => (s(), a("div", ve, [
      L(l("input", {
        "onUpdate:modelValue": v[0] || (v[0] = (h) => D(d) ? d.value = h : null),
        type: e.type,
        id: _(o),
        name: i.name,
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        required: i.required,
        disabled: e.disabled
      }, null, 8, be), [
        [N, _(d)]
      ]),
      l("label", { for: _(o) }, c(e.label || e.value), 9, me),
      e.helper ? (s(), a("small", he, c(e.helper), 1)) : f("", !0)
    ]));
  }
};
const ge = {
  key: 0,
  class: "cf-choice-list__label"
}, ys = {
  __name: "ChoiceList",
  props: {
    modelValue: [Number, String, Boolean, Array],
    label: String,
    choices: Array,
    multiple: Boolean,
    required: Boolean,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(n, { emit: t }) {
    const e = n, o = b(() => ({
      "cf-choice-list": !0,
      "cf-choice-list--disabled": e.disabled
    })), i = b({
      get() {
        return e.modelValue;
      },
      set(d) {
        t("update:modelValue", d);
      }
    });
    return M("choice-list-name", Math.random()), M("choice-list-required", e.required), (d, r) => (s(), a("div", {
      class: k(_(o))
    }, [
      e.label ? (s(), a("div", ge, c(e.label), 1)) : f("", !0),
      (s(!0), a(S, null, V(n.choices, (v) => (s(), $(ye, {
        key: v.value || v,
        type: e.multiple ? "checkbox" : "radio",
        label: v.label || v.value || v,
        helper: v.helper,
        value: v.value || v,
        disabled: e.disabled,
        modelValue: _(i),
        "onUpdate:modelValue": r[0] || (r[0] = (h) => D(i) ? i.value = h : null)
      }, null, 8, ["type", "label", "helper", "value", "disabled", "modelValue"]))), 128)),
      u(d.$slots, "default")
    ], 2));
  }
};
const $e = { class: "cf-field" }, ke = ["required", "disabled"], we = {
  key: 0,
  value: null
}, xe = ["value"], Se = ["required", "disabled"], Be = ["type", "placeholder", "list", "required", "disabled"], Ve = {
  key: 3,
  class: "cf-field__prefix"
}, Ce = {
  key: 4,
  class: "cf-field__suffix"
}, De = { key: 5 }, Le = { key: 6 }, qe = /* @__PURE__ */ l("div", { class: "cf-field__outline" }, null, -1), K = {
  __name: "Field",
  props: {
    modelValue: [Number, String],
    type: String,
    label: String,
    placeholder: String,
    prefix: String,
    suffix: String,
    options: Array,
    list: String,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(n, { emit: t }) {
    const e = n, o = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (s(), a("div", $e, [
      e.type === "select" ? L((s(), a("select", {
        key: 0,
        class: "cf-field__input",
        "onUpdate:modelValue": d[0] || (d[0] = (r) => D(o) ? o.value = r : null),
        required: e.required,
        disabled: e.disabled
      }, [
        !e.required && e.options.length ? (s(), a("option", we)) : f("", !0),
        (s(!0), a(S, null, V(e.options, (r) => (s(), a("option", {
          key: r.value || r,
          value: r.value || r
        }, c(r.label || r), 9, xe))), 128))
      ], 8, ke)), [
        [O, _(o)]
      ]) : e.type === "textarea" ? L((s(), a("textarea", {
        key: 1,
        class: "cf-field__input",
        "onUpdate:modelValue": d[1] || (d[1] = (r) => D(o) ? o.value = r : null),
        required: e.required,
        disabled: e.disabled
      }, null, 8, Se)), [
        [E, _(o)]
      ]) : L((s(), a("input", {
        key: 2,
        class: "cf-field__input",
        "onUpdate:modelValue": d[2] || (d[2] = (r) => D(o) ? o.value = r : null),
        type: e.type,
        placeholder: e.placeholder,
        list: e.list,
        required: e.required,
        disabled: e.disabled
      }, null, 8, Be)), [
        [N, _(o)]
      ]),
      e.prefix && !["select", "textarea"].includes(e.type) ? (s(), a("div", Ve, c(e.prefix), 1)) : f("", !0),
      e.suffix && !["select", "textarea"].includes(e.type) ? (s(), a("div", Ce, c(e.suffix), 1)) : f("", !0),
      e.label ? (s(), a("label", De, c(e.label), 1)) : f("", !0),
      e.helper ? (s(), a("small", Le, c(e.helper), 1)) : f("", !0),
      qe
    ]));
  }
};
const ze = { class: "cf-data-table-item" }, Ae = {
  key: 0,
  class: "cf-data-table-item__drawer"
}, Te = { class: "cf-data-table-item__content" }, Me = ["data-label"], Ne = /* @__PURE__ */ l("span", { class: "material-symbols-outlined" }, null, -1), Fe = [
  Ne
], Ie = /* @__PURE__ */ l("span", { class: "material-symbols-outlined" }, null, -1), Pe = {
  __name: "DataTableItem",
  props: {
    data: Object,
    expandable: Boolean
  },
  setup(n) {
    const t = n, e = T("columns", []), o = x(!1);
    return (i, d) => {
      const r = C("router-link");
      return s(), a("div", ze, [
        o.value ? (s(), a("div", Ae, [
          u(i.$slots, "default", {
            item: t.data
          })
        ])) : f("", !0),
        l("div", Te, [
          (s(!0), a(S, null, V(_(e), (v) => (s(), a("div", {
            key: v.key,
            "data-label": v.label
          }, c(n.data[v.key]), 9, Me))), 128))
        ]),
        t.expandable ? (s(), a("button", {
          key: 1,
          class: "cf-data-table-item__toggle",
          onClick: d[0] || (d[0] = (v) => o.value = !o.value)
        }, Fe)) : f("", !0),
        t.data.to ? (s(), $(r, {
          key: 2,
          class: "cf-data-table-item__toggle",
          to: t.data.to
        }, {
          default: y(() => [
            Ie
          ]),
          _: 1
        }, 8, ["to"])) : f("", !0),
        t.expandable && o.value ? (s(), a("div", {
          key: 3,
          class: "cf-data-table-item__backdrop",
          onClick: d[1] || (d[1] = (v) => o.value = !1)
        })) : f("", !0)
      ]);
    };
  }
};
const Ke = { class: "cf-data-table" }, Ue = { class: "cf-data-table__header" }, Oe = { class: "cf-data-table__header__content" }, Ee = {
  key: 0,
  class: "cf-data-table__title"
}, je = {
  key: 1,
  class: "cf-data-table__description"
}, Re = {
  key: 2,
  class: "cf-data-table__search"
}, Ze = {
  key: 3,
  class: "cf-data-table__actions"
}, Ge = {
  key: 0,
  class: "cf-data-table__header__slot"
}, He = { class: "cf-data-table__body__header" }, Xe = { class: "cf-data-table__body__items" }, Je = {
  key: 0,
  class: "cf-data-table__footer"
}, Qe = { class: "cf-data-table__footer__pagination" }, We = ["disabled"], Ye = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M11.022 14.503L4.518 8l6.504-6.504.707.707L5.932 8l5.797 5.796-.707.707z" })
], -1), et = [
  Ye
], tt = ["disabled"], st = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M4.99 14.503l-.707-.707L10.08 8 4.283 2.203l.707-.707L11.494 8 4.99 14.503z" })
], -1), lt = [
  st
], ot = { key: 0 }, gs = {
  __name: "DataTable",
  props: {
    title: String,
    description: String,
    expandable: Boolean,
    paginate: {
      type: Boolean,
      default: !0
    },
    searchKey: String,
    pluralTerm: {
      type: String,
      default: "items"
    },
    itemKey: String,
    pageSize: {
      type: [Number, String],
      default: 10
    },
    columns: {
      type: Array,
      default: []
    },
    data: {
      type: Array,
      default: []
    }
  },
  setup(n) {
    const t = n, e = j(), o = x(""), i = b(() => t.data.filter((p) => {
      if (o.value) {
        const B = p[t.searchKey].replaceAll(" ", "").toLowerCase(), w = o.value.replaceAll(" ", "").toLowerCase();
        return B.includes(w);
      } else
        return !0;
    })), d = x(1), r = b(() => Math.ceil(i.value.length / parseInt(t.pageSize))), v = b(() => {
      const p = d.value < r.value ? d.value * t.pageSize : i.value.length;
      return {
        start: (d.value - 1) * t.pageSize + 1,
        end: p
      };
    }), h = b(() => t.paginate ? i.value.slice(
      (d.value - 1) * parseInt(t.pageSize),
      d.value * parseInt(t.pageSize)
    ) : i.value), g = () => {
      d.value < r.value && d.value++;
    }, m = () => {
      d.value > 1 && d.value--;
    };
    return R(o, () => {
      d.value > 1 && (d.value = 1);
    }), M("columns", t.columns), (p, B) => (s(), a("div", Ke, [
      l("div", Ue, [
        l("div", Oe, [
          t.title ? (s(), a("div", Ee, c(t.title), 1)) : f("", !0),
          t.description ? (s(), a("div", je, c(t.description), 1)) : f("", !0),
          t.searchKey ? (s(), a("div", Re, [
            q(K, {
              modelValue: o.value,
              "onUpdate:modelValue": B[0] || (B[0] = (w) => o.value = w),
              type: "text",
              label: "Search"
            }, null, 8, ["modelValue"])
          ])) : f("", !0),
          _(e).actions ? (s(), a("div", Ze, [
            u(p.$slots, "actions")
          ])) : f("", !0)
        ]),
        _(e).header ? (s(), a("div", Ge, [
          u(p.$slots, "header")
        ])) : f("", !0)
      ]),
      l("div", {
        class: "cf-data-table__body",
        style: Z(`--columns: ${t.columns.length}`)
      }, [
        l("div", He, [
          (s(!0), a(S, null, V(t.columns, (w) => (s(), a("div", {
            key: w.key
          }, c(w.label), 1))), 128))
        ]),
        l("div", Xe, [
          (s(!0), a(S, null, V(_(h), (w) => (s(), $(Pe, {
            key: w._id || w[t.itemKey],
            data: w,
            expandable: t.expandable
          }, {
            default: y((U) => [
              u(p.$slots, "item-drawer", {
                item: U.item
              })
            ]),
            _: 2
          }, 1032, ["data", "expandable"]))), 128))
        ])
      ], 4),
      t.paginate ? (s(), a("div", Je, [
        l("div", Qe, [
          l("button", {
            disabled: d.value <= 1,
            onClick: m
          }, et, 8, We),
          l("button", {
            disabled: d.value >= _(r),
            onClick: g
          }, lt, 8, tt),
          _(i).length ? (s(), a("div", ot, [
            l("b", null, c(`${_(v).start} to ${_(v).end}`), 1),
            z(" of "),
            l("b", null, c(_(i).length), 1)
          ])) : f("", !0)
        ])
      ])) : f("", !0)
    ]));
  }
};
const at = { class: "cf-sidebar-nav" }, nt = /* @__PURE__ */ l("hr", null, null, -1), it = /* @__PURE__ */ l("span", { class: "material-symbols-outlined" }, null, -1), dt = /* @__PURE__ */ l("span", null, "Collapse sidebar", -1), rt = [
  it,
  dt
], ut = {
  __name: "Sidebar",
  setup(n) {
    const t = x(!1), e = b(() => ({
      "cf-sidebar": !0,
      "cf-sidebar--toggled": t.value
    }));
    return (o, i) => (s(), a("aside", {
      class: k(_(e))
    }, [
      l("nav", at, [
        u(o.$slots, "default"),
        nt
      ]),
      l("button", {
        class: "cf-sidebar-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, rt)
    ], 2));
  }
};
const $s = {
  __name: "DefaultLayout",
  setup(n) {
    return F(() => {
      document.body.dataset.layout = "default";
    }), (t, e) => (s(), a(S, null, [
      q(le, null, {
        left: y(() => [
          u(t.$slots, "brand")
        ]),
        right: y(() => [
          u(t.$slots, "navigation")
        ]),
        _: 3
      }),
      q(ut, null, {
        default: y(() => [
          u(t.$slots, "sidebar")
        ]),
        _: 3
      }),
      l("main", null, [
        u(t.$slots, "main")
      ])
    ], 64));
  }
};
const ct = { class: "cf-dialog-header" }, _t = { class: "cf-dialog__title" }, pt = { key: 0 }, ft = { class: "cf-dialog-body" }, vt = { class: "cf-dialog-footer" }, bt = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), mt = [
  bt
], ks = {
  __name: "Dialog",
  props: {
    title: String,
    description: String
  },
  emits: ["close"],
  setup(n, { emit: t }) {
    const e = n, o = x(null);
    return F(() => {
      o.value.showModal(), o.value.addEventListener("close", () => {
        t("close");
      });
    }), (i, d) => (s(), a("dialog", {
      class: "cf-dialog",
      ref_key: "dialog",
      ref: o
    }, [
      l("div", ct, [
        l("div", _t, c(e.title), 1),
        e.description ? (s(), a("div", pt, c(e.description), 1)) : f("", !0)
      ]),
      l("div", ft, [
        u(i.$slots, "body")
      ]),
      l("div", vt, [
        u(i.$slots, "footer")
      ]),
      l("button", {
        class: "cf-dialog-close",
        onClick: d[0] || (d[0] = (r) => t("close"))
      }, mt)
    ], 512));
  }
};
const ht = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, yt = { class: "material-symbols-outlined" }, gt = { class: "cf-dropdown-item__label" }, $t = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, kt = { class: "material-symbols-outlined" }, wt = { class: "cf-dropdown-item__label" }, ws = {
  __name: "DropdownItem",
  props: {
    icon: String,
    to: String,
    large: Boolean
  },
  setup(n) {
    const t = n, e = b(() => ({
      "cf-dropdown-item": !0,
      "cf-dropdown-item--large": t.large
    }));
    return (o, i) => {
      const d = C("router-link");
      return n.to ? (s(), $(d, {
        key: 1,
        class: k(_(e)),
        to: n.to
      }, {
        default: y(() => [
          n.icon ? (s(), a("div", $t, [
            l("span", kt, c(n.icon), 1)
          ])) : f("", !0),
          l("div", wt, [
            u(o.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["class", "to"])) : (s(), a("button", {
        key: 0,
        class: k(_(e))
      }, [
        n.icon ? (s(), a("div", ht, [
          l("span", yt, c(n.icon), 1)
        ])) : f("", !0),
        l("div", gt, [
          u(o.$slots, "default")
        ])
      ], 2));
    };
  }
};
const xt = { class: "cf-drop-zone" }, St = ["onDrop"], Bt = { class: "cf-drop-zone-box__label" }, Vt = { class: "cf-drop-zone-box__action" }, Ct = /* @__PURE__ */ l("span", null, "select from device", -1), Dt = ["required"], Lt = {
  key: 0,
  class: "cf-drop-zone-box__helper"
}, qt = {
  key: 1,
  class: "cf-drop-zone-list"
}, zt = /* @__PURE__ */ l("div", { class: "cf-drop-zone-list__header" }, null, -1), At = { class: "cf-drop-zone-list__item" }, Tt = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "12",
  height: "12"
}, [
  /* @__PURE__ */ l("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), Mt = [
  Tt
], xs = {
  __name: "DropZone",
  props: {
    modelValue: File,
    label: {
      type: String,
      default: "Add your file here."
    },
    max: {
      type: [Number, String],
      default: 0
    },
    accept: String,
    required: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["update:modelValue", "add", "cancel"],
  setup(n, { emit: t }) {
    const e = n, o = x(null), i = b(() => !!(e.required && !e.modelValue)), d = b(() => {
      if (e.modelValue) {
        const p = (e.modelValue.size / 1048576).toFixed(0), B = (p / 1e3).toFixed(1);
        return p < 100 ? `${p} MB` : `${B} GB`;
      } else
        return "0 MB";
    }), r = (m) => {
      const p = m.target.files[0];
      h(p);
    }, v = (m) => {
      const p = m.dataTransfer.files[0];
      h(p);
    }, h = (m) => {
      const p = parseInt(e.max) * 1048576;
      p && p < m.size ? (o.value.value = "", alert(`File cannot exceed ${e.max} MB`)) : (t("update:modelValue", m), t("add", m));
    }, g = () => {
      t("update:modelValue", null), t("cancel");
    };
    return (m, p) => (s(), a("div", xt, [
      n.modelValue ? (s(), a("div", qt, [
        zt,
        l("div", At, [
          l("div", null, c(e.modelValue.name), 1),
          l("div", null, c(_(d)), 1),
          l("button", { onClick: g }, Mt)
        ])
      ])) : (s(), a("div", {
        key: 0,
        class: "cf-drop-zone-box",
        onDrop: A(v, ["prevent"]),
        onDragenter: p[0] || (p[0] = A(() => {
        }, ["prevent"])),
        onDragover: p[1] || (p[1] = A(() => {
        }, ["prevent"])),
        onDragleave: p[2] || (p[2] = A(() => {
        }, ["prevent"]))
      }, [
        l("div", Bt, c(e.label), 1),
        l("label", Vt, [
          z(" Drag and drop or "),
          Ct,
          l("input", {
            type: "file",
            ref_key: "input",
            ref: o,
            required: _(i),
            onChange: r
          }, null, 40, Dt)
        ]),
        e.max ? (s(), a("div", Lt, " Files larger than " + c(e.max) + " MB cannot be uploaded ", 1)) : f("", !0)
      ], 40, St))
    ]));
  }
};
const Nt = ["value", "max"], Ss = {
  __name: "Progress",
  props: {
    value: {
      type: [Number, String],
      default: 0
    },
    max: {
      type: [Number, String],
      default: 100
    }
  },
  setup(n) {
    const t = n;
    return (e, o) => (s(), a("progress", {
      class: "cf-progress",
      value: t.value,
      max: t.max
    }, c(n.value) + "% ", 9, Nt));
  }
};
const Ft = { class: "cf-sidebar-link__icon" }, It = { class: "material-symbols-outlined" }, Pt = { class: "cf-sidebar-link__label" }, Kt = ["href"], Ut = { class: "cf-sidebar-link__icon" }, Ot = { class: "material-symbols-outlined" }, Et = { class: "cf-sidebar-link__label" }, Bs = {
  __name: "SidebarLink",
  props: {
    to: String,
    href: String,
    icon: String
  },
  setup(n) {
    const t = n;
    return (e, o) => {
      const i = C("router-link");
      return n.to ? (s(), $(i, {
        key: 0,
        class: "cf-sidebar-link",
        to: t.to
      }, {
        default: y(() => [
          l("div", Ft, [
            l("span", It, c(n.icon), 1)
          ]),
          l("div", Pt, [
            u(e.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["to"])) : (s(), a("a", {
        key: 1,
        class: "cf-sidebar-link",
        href: n.href
      }, [
        l("div", Ut, [
          l("span", Ot, c(n.icon), 1)
        ]),
        l("div", Et, [
          u(e.$slots, "default")
        ])
      ], 8, Kt));
    };
  }
};
const jt = {}, Rt = { class: "cf-spinner" }, Zt = /* @__PURE__ */ l("div", null, null, -1), Gt = /* @__PURE__ */ l("div", null, null, -1), Ht = /* @__PURE__ */ l("div", null, null, -1), Xt = /* @__PURE__ */ l("div", null, null, -1), Jt = [
  Zt,
  Gt,
  Ht,
  Xt
];
function Qt(n, t) {
  return s(), a("div", Rt, Jt);
}
const Vs = /* @__PURE__ */ I(jt, [["render", Qt]]);
const Wt = { class: "cf-switch" }, Yt = ["value", "true-value", "false-value", "disabled"], es = {
  key: 0,
  class: "cf-switch__label"
}, Cs = {
  __name: "Switch",
  props: {
    modelValue: [Number, String, Boolean],
    label: String,
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(n, { emit: t }) {
    const e = n, o = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (s(), a("div", Wt, [
      L(l("input", {
        class: "cf-switch__box",
        "onUpdate:modelValue": d[0] || (d[0] = (r) => D(o) ? o.value = r : null),
        type: "checkbox",
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        disabled: e.disabled
      }, null, 8, Yt), [
        [G, _(o)]
      ]),
      e.label ? (s(), a("div", es, c(e.label), 1)) : f("", !0)
    ]));
  }
};
const ts = { class: "cf-navigation-tabs" }, Ds = {
  __name: "TabNavigation",
  props: {
    tabs: Array
  },
  setup(n) {
    const t = n;
    return (e, o) => {
      const i = C("router-link");
      return s(), a("nav", ts, [
        l("ul", null, [
          (s(!0), a(S, null, V(t.tabs, (d, r) => (s(), a("li", { key: r }, [
            q(i, {
              to: d.to
            }, {
              default: y(() => [
                z(c(d.label), 1)
              ]),
              _: 2
            }, 1032, ["to"])
          ]))), 128))
        ])
      ]);
    };
  }
};
const ss = { class: "cf-tag" }, ls = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), os = [
  ls
], as = {
  __name: "Tag",
  props: {
    removable: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["remove"],
  setup(n, { emit: t }) {
    const e = n;
    return (o, i) => (s(), a("div", ss, [
      l("span", null, [
        u(o.$slots, "default")
      ]),
      e.removable ? (s(), a("button", {
        key: 0,
        onClick: i[0] || (i[0] = (d) => t("remove"))
      }, os)) : f("", !0)
    ]));
  }
};
const ns = ["inert"], is = { key: 0 }, ds = { class: "cf-tags-field__input" }, rs = ["required"], us = { class: "cf-tags-field__tags" }, cs = { key: 1 }, Ls = {
  __name: "TagsField",
  props: {
    modelValue: Array,
    label: String,
    buttonText: {
      type: String,
      default: "Add"
    },
    prefix: String,
    options: Array,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(n, { emit: t }) {
    const e = n, o = x(!1), i = x(""), d = b(() => e.options ? e.options.filter((h) => !e.modelValue.includes(h)) : null), r = () => {
      if (!i.value || e.disabled)
        return !1;
      const h = e.modelValue;
      h.push(i.value), t("update:modelValue", h), i.value = "", o.value = !1;
    }, v = (h) => {
      if (e.disabled)
        return !1;
      const g = e.modelValue;
      g.splice(h, 1), t("update:modelValue", g);
    };
    return (h, g) => (s(), a("div", {
      class: "cf-tags-field",
      inert: e.disabled
    }, [
      e.label ? (s(), a("label", is, c(e.label), 1)) : f("", !0),
      l("div", ds, [
        o.value ? (s(), $(K, {
          key: 0,
          modelValue: i.value,
          "onUpdate:modelValue": g[0] || (g[0] = (m) => i.value = m),
          type: e.options ? "select" : "text",
          prefix: e.prefix,
          options: _(d),
          onKeydown: H(r, ["enter"]),
          onChange: r,
          required: ""
        }, null, 8, ["modelValue", "type", "prefix", "options", "onKeydown"])) : (s(), $(pe, {
          key: 1,
          color: "blue",
          onClick: g[1] || (g[1] = (m) => o.value = !0)
        }, {
          default: y(() => [
            z(c(e.buttonText), 1)
          ]),
          _: 1
        })),
        l("input", {
          class: "cf-tags-field__input__faux",
          type: "text",
          required: e.required && !e.modelValue.length
        }, null, 8, rs)
      ]),
      l("div", us, [
        (s(!0), a(S, null, V(e.modelValue, (m, p) => (s(), $(as, {
          key: m,
          onRemove: (B) => v(p)
        }, {
          default: y(() => [
            z(c(e.prefix) + " " + c(m), 1)
          ]),
          _: 2
        }, 1032, ["onRemove"]))), 128))
      ]),
      e.helper ? (s(), a("small", cs, c(e.helper), 1)) : f("", !0)
    ], 8, ns));
  }
};
export {
  ps as CfActionCard,
  le as CfAppBar,
  fs as CfAppBarLink,
  vs as CfAppView,
  bs as CfBanner,
  ye as CfChoice,
  ys as CfChoiceList,
  gs as CfDataTable,
  $s as CfDefaultLayout,
  ks as CfDialog,
  xs as CfDropZone,
  ae as CfDropdown,
  ws as CfDropdownItem,
  K as CfField,
  ms as CfFilledButton,
  pe as CfOutlinedButton,
  Ss as CfProgress,
  ut as CfSidebar,
  Bs as CfSidebarLink,
  Vs as CfSpinner,
  Cs as CfSwitch,
  Ds as CfTabNavigation,
  as as CfTag,
  Ls as CfTagsField,
  hs as CfTextButton
};
